### AmbientLight

Category

Rendering

Function

Produces an ambient light.

Syntax

    light = AmbientLight(color);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`color` | vector or string | [0.2 0.2 0.2] | color and intensity of light

Outputs

Name | Type | Description
--- | --- | ---
`light` | light | the ambient light

Functional Details

The AmbientLight module produces a light that equally illuminates all surfaces, regardless of location or direction.

`color` | specifies the color of the light either as an RGB vector or as a string. If it is a string, it must be one of the defined color-name strings (see Color).

If no value is specified for this parameter, Data Explorer incorporates an ambient light of color [0.2 0.2 0.2] (low-intensity white light) to the scene. The system also uses a distant light of color [1.0 1.0 1.0] (high-intensity white light). (See Light.)

If a value is specified, the system removes the default lights. Therefore, if you use AmbientLight and want shading, you must also add a distant light. In addition, if you desire shading, you should use only relatively small amounts of ambient light (a value less than about 0.5). Use the Collect module to incorporate the resulting light into the scene that is given to the Render, Display, or Image tool.

Ambient lights have no effect on volume-rendered objects.

Example Visual Programs

    ThunderGlyphSheet.net
    UsingLights.net
    SIMPLE/Light.net

See Also

Collect, Convert, Light

[ OpenDX Home at IBM | OpenDX.org ]